-- **************************************************
-- ██████  ██████   █████  ██    ██ ███████ ███    ██ 
-- ██   ██ ██   ██ ██   ██ ██    ██ ██      ████   ██ 
-- ██████  ██████  ███████ ██    ██ █████   ██ ██  ██ 
-- ██   ██ ██   ██ ██   ██  ██  ██  ██      ██  ██ ██ 
-- ██████  ██   ██ ██   ██   ████   ███████ ██   ████
-- **************************************************

local onCheat = ISHealthPanel.onCheat

ISHealthPanel.onCheat = function(bodyPart, action, player, otherPlayer)
    if ISHealthPanel.cheat and not (getDebug() or getAccessLevel() ~= "") then return end
    onCheat(bodyPart, action, player, otherPlayer)
end

local onCheatItem = ISHealthPanel.onCheatItem

ISHealthPanel.onCheatItem = function(bodyPart, action, player, otherPlayer)
    if ISHealthPanel.cheat and not (getDebug() or getAccessLevel() ~= "") then return end
    onCheatItem(bodyPart, action, player, otherPlayer)
end